#
# $Id: mod_auth_mysql.spec,v 1.1 2005/04/18 17:31:29 build Exp $
#

Summary:	Basic authentication for the Apache web server using a MySQL database.
Group:		System Environment/Daemons
License:	Apache Software License
Name:		mod_auth_mysql
Version:	1.11
Release:	1.5.1
Source0:	ftp://ftp.kciLink.com/pub/mod_auth_mysql.c.gz
Source1:	ftp://ftp.kciLink.com/pub/mysql-group-auth.txt
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
BuildPrereq:	apache-devel, MySQL-devel
Requires:	webserver

%description
mod_auth_mysql can be used to limit access to documents served by a web
server by checking data in a MySQL database.

%files
  %defattr(-,root,root)
  %doc %{name}.txt *.txt
  %attr(0511,root,root)		%{_libdir}/apache/*.so

%prep
%setup -c -T

  cp %{SOURCE0} %{SOURCE1} .
  gunzip %{name}.c
  cat %{name}.c | tail +84 | head -101 > %{name}.txt

%build
  %{_sbindir}/apxs -c -o %{name}.so *.c -L%{_libdir}/mysql -lmysqlclient

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
  install %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 18 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.11, Release 1.5.1
  - Initial build for EnGarde Secure Linux, based on a Finestra
    package written by Jeff Baldwin.
